<?php  
  include 'aksi/koneksi.php';
  require 'vendor/export-import/autoload.php';


  if(isset($_POST['submit'])){
    $err    = "";
    $ekstensi   = "";
    $success  = "";

    $file_name = $_FILES['filexls']['name']; // untuk mendapatkan nama file yg diupload
    $file_data = $_FILES['filexls']['tmp_name']; // untuk mendapatkan temporary data

    if(empty($file_name)) {
      $err .= "<li>Silahkan Masukan File yang Kamu Inginkan</li>";
    } else {
      $ekstensi = pathinfo($file_name)['extension'];
    }

    $ekstensi_allowed = array("xls","xlsx");
    
    // Cek Jika Data Tidak Sesuai
    if(!in_array($ekstensi, $ekstensi_allowed)){
      $err .= "<li>Silahkan masukan file tipe xls, atau xlsx. File yang kamu masukkan <b>$file_name</b> punya tipe <b>$ekstensi</b></li>";
    }

    // Proses Ambil data dari file xlx atau xlsx
    if(empty($err)) {
      $reader     = \PhpOffice\PhpSpreadsheet\IOFactory::createReaderForFile($file_data);
      $spreadsheet  = $reader->load($file_data);
      $sheetData    = $spreadsheet->getActiveSheet()->toArray();

      $jumlahData = 0;
      for ( $i = 1; $i < count($sheetData); $i++ ){
        $barang_cabang          = $_POST['barang_cabang'];
        $barang_kode            = $sheetData[$i]['1'];
        $barang_nama            = $sheetData[$i]['2'];
        $barang_deskripsi       = $sheetData[$i]['3'];
        $barang_harga_beli      = $sheetData[$i]['4'];
        $barang_harga           = $sheetData[$i]['5'];
        $barang_stock           = $sheetData[$i]['6'];
        // $kategori_id         = $sheetData[$i]['6'];
        $kategori_id_parent     = $sheetData[$i]['7'];
        $kategori_id_indux = mysqli_query($conn, "SELECT kategori_id FROM kategori WHERE kategori_cabang = $barang_cabang && kategori_nama = '".$kategori_id_parent."' ");
        $kategori_id = mysqli_fetch_array($kategori_id_indux);
        $kategori_id = $kategori_id['kategori_id'];

        // $satuan_id            	= $sheetData[$i]['7'];
        $satuan_id_parent     	= $sheetData[$i]['8'];
        $satuan_id_indux 		= mysqli_query($conn, "SELECT satuan_id FROM satuan WHERE satuan_cabang = $barang_cabang && satuan_nama = '".$satuan_id_parent."' ");
        $satuan_id = mysqli_fetch_array($satuan_id_indux);
        $satuan_id = $satuan_id['satuan_id'];
        
        $barang_option_sn       = $sheetData[$i]['9'];
        if ( $barang_option_sn == 1 ) {
          $barang_option_sn = 1;
        } else {
          $barang_option_sn = 0;
        }
        $barang_status          = $sheetData[$i]['10'];
        if ( $barang_status == 1 ) {
          $barang_status = 1;
        } elseif ( $barang_status == 2 ) {
          $barang_status = 2;
        } elseif ( $barang_status == 3 ) {
          $barang_status = 3;
        } else {
          $barang_status = 0;
        }
        $barang_kode_slug           = str_replace(" ", "-", $barang_kode);
        $barang_tanggal       		= date("d F Y g:i:s a");
        

          if ( $kategori_id == null ) {
              echo '
                <script>
                  alert("Nama Kategori '.$kategori_id_parent.' TIDAK ADA di DATA Kategori !! Silahkan Sesuaikan kategori dari Produk '.$barang_nama.' & Cek Kembali dari penulisan Huruf Besar, Kecil, Spasi beserta NAMA HARUS SESUAI !!");
                  document.location.href = "barang";
                </script>
              '; exit();
          } elseif ( $satuan_id == null ) {
              echo '
                <script>
                  alert("Nama Satuan '.$satuan_id_parent.' TIDAK ADA di DATA Satuan !! Silahkan Sesuaikan Satuan dari Produk '.$barang_nama.' & Cek Kembali dari penulisan Huruf Besar, Kecil, Spasi beserta NAMA HARUS SESUAI !!");
                  document.location.href = "barang";
                </script>
              '; exit();
          } else {
            $sql1 = "INSERT INTO barang VALUES ('', 
            '$barang_kode', 
            '$barang_kode_slug', 
            '', 
            '$barang_nama', 
            '$barang_harga_beli',
            '$barang_harga', 
            '$barang_stock', 
            '$barang_tanggal', 
            '$kategori_id', 
            '$kategori_id', 
            '$satuan_id', 
            '$satuan_id', 
            '$barang_deskripsi', 
            '$barang_option_sn', 
            '$barang_status', 
            '', 
            '$barang_cabang')";
            mysqli_query($conn,$sql1);

            $jumlahData++;
          }
      } 

      // Jika Data Sukses Insert
      if($jumlahData > 0){
        $success = "$jumlahData Data Berhasil Insert ke Tabel Barang";
      }
    }

    // Jika Error
    if($err) {
      ?>
      <!-- <div class="alert alert-danger">
        <ul><?php echo $err ?></ul>
      </div> -->
      <?php  
        echo '
          <script>
            alert("'.$err.'");
          </script>
        ';
      ?>
      <?php
    }

    // Jika Sukses
    if($success){
      ?>
      <!-- <div class="alert alert-danger">
        <ul><?php echo $success ?></ul>
      </div> -->
      <?php  
        echo '
          <script>
            alert("'.$success.'");
            document.location.href = "barang";
          </script>
        ';
      ?>
      <?php
    }


  }
?>